> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/mutations/lab-tests/create-recommended-article.md).

# Create Recommended Article

Use `createArticleRecommended` to create recommended articles for users.

## Required Arguments

| Argument      | Type                 | Description             |
| ------------- | -------------------- | ----------------------- |
| `biomarkerId` | ID!                  | Biomarker Id.           |
| `articleId`   | ID!                  | Article Id.             |
| `range`       | BiomarkerRangeInput! | Biomarker Range Input.  |
| `range.min`   | Float!               | Smallest defined value. |
| `range.max`   | Float!               | argest defined value.   |

## Available Fields

| Field                          | Type               | Description                                                       |
| ------------------------------ | ------------------ | ----------------------------------------------------------------- |
| `success`                      | String             | Success if Recommended Article created succesfully.               |
| `message`                      | String             | Description of the result. Either if the recipe was added or not. |
| `articleRecommended`           | ArticleRecommended | Recommended Article object.                                       |
| `articleRecommended.Id`        | Id                 | Id of recommended article.                                        |
| `articleRecommended.createdAt` | DateTime           | Date and Time of Recommended article creation.                    |
| `articleRecommended.updatedAt` | DateTime           | Date and Time of Recommended article last update.                 |
| `articleRecommended.article`   | ContentLibraryType | Article.                                                          |
| `articleRecommended.biomarker` | Biomarker          | Biomarker.                                                        |

## Example

{% tabs %}
{% tab title="Query" %}

```graphql
mutation createArticleRecommended {
    createArticleRecommended(input: {
      biomarkerId: "QmlvbWFya2VyOjE=",
      articleId: "Q29udGVudExpYnJhcnk6NzAwMThkNjYtZDMyMC00MzIyLWFlMDktYTU5N2Q5YjdkNGU1",
      range: { min: 1, max: 150 }
    }) {
        success message errors { field messages }
        articleRecommended {
            id valueMax valueMin createdAt updatedAt article { id title imageUrl createdAt updatedAt}
            biomarker {
                id name method description range { max min } 
                aliases { name language }
                category { id name parent { id name } }
                units { name factor alias }
                optimalRange { max min }
                borderlineRange { max min }
                normalValues
            }
        }
    }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "createArticleRecommended": {
      "success": true,
      "message": "Article recommended saved",
      "errors": null,
      "articleRecommended": {
        "id": "QXJ0aWNsZVJlY29tbWVuZGVkOjE=",
        "valueMax": 150,
        "valueMin": 1,
        "createdAt": "2023-02-09T21:06:17.934426+00:00",
        "updatedAt": "2023-02-09T21:06:17.934458+00:00",
        "article": {
          "id": "Q29udGVudExpYnJhcnk6NzAwMThkNjYtZDMyMC00MzIyLWFlMDktYTU5N2Q5YjdkNGU1",
          "title": "My content library",
          "imageUrl": "https://link.com",
          "createdAt": "2023-02-09T21:05:30.563037+00:00",
          "updatedAt": "2023-02-09T21:05:30.563011+00:00"
        },
        "biomarker": {
          "id": "QmlvbWFya2VyOjE=",
          "name": "Diabetes Risk Index",
          "method": "Method for diabetes risk index",
          "description": "Diabetes...",
          "range": {
            "max": 100,
            "min": 0
          },
          "aliases": [
            {
              "name": "DRI",
              "language": "EN"
            }
          ],
          "category": {
            "id": "QmlvbWFya2VyQ2F0ZWdvcnk6NDg=",
            "name": "Adrenocortical hormones",
            "parent": {
              "id": "QmlvbWFya2VyQ2F0ZWdvcnk6NDQ=",
              "name": "Hormonal studies"
            }
          },
          "units": [
            {
              "name": "%",
              "factor": 1,
              "alias": null
            }
          ],
          "optimalRange": {
            "max": 100,
            "min": 0
          },
          "borderlineRange": {
            "max": null,
            "min": null
          },
        }
      }
    }
  }

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/query/mutations/lab-tests/create-recommended-article.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
